Bouncy Castle Cryptography Library 1.42

## org.bouncycastle.openpgp
Class PGPException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.bouncycastle.openpgp.PGPException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PGPDataValidationException, PGPKeyValidationException

    public class PGPException

extends java.lang.Exception

generic exception class for PGP encoding/decoding problems

See Also:
  Serialized Form

Constructor Summary
`PGPException(java.lang.String message)`
`PGPException(java.lang.String message, java.lang.Exception underlying)`

Method Summary
`java.lang.Throwable` `getCause()`
`java.lang.Exception` `getUnderlyingException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PGPException

    public PGPException(java.lang.String message)

### PGPException

    public PGPException(java.lang.String message,
                        java.lang.Exception underlying)

Method Detail

### getUnderlyingException

    public java.lang.Exception getUnderlyingException()

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

Bouncy Castle Cryptography Library 1.42